# TdApi.GetFile

Package it.ernytech.tdlib

## Class TdApi.GetFile

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetFile

Enclosing class:
  TdApi

    public static class TdApi.GetFile
    extends TdApi.Function

Returns information about a file; this is an offline request.

Returns `File`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `fileId` Identifier of the file to get.

### Constructor Summary

Constructors
`GetFile()` Default constructor.
`GetFile​(int fileId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### fileId

    public int fileId

Identifier of the file to get.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetFile

    public GetFile()

Default constructor.

#### GetFile

    public GetFile​(int fileId)

Constructor for initialization of all fields.

Parameters:
  `fileId` - Identifier of the file to get.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR